Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.types.resources
Interface Appendable

All Known Implementing Classes:
  FileResource, LogOutputResource

    public interface Appendable

Interface to be implemented by "appendable" resources.

Since:
  Ant 1.8

Method Summary
`java.io.OutputStream` | `getAppendOutputStream()` Get an appending OutputStream.

Method Detail

### getAppendOutputStream

    java.io.OutputStream getAppendOutputStream()
                                               throws java.io.IOException

  Get an appending OutputStream.

  Returns:
    OutputStream
  Throws:
    `java.io.IOException` - if anything goes wrong

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD